<?php
/*************************************************************************************************
 * Copyright 2016 JPL TSolucio, S.L. -- This file is a part of TSOLUCIO Parkare Ofertas Customizations.
 * You can copy, adapt and distribute the work under the "Attribution-NonCommercial-ShareAlike"
 * Vizsage Public License (the "License"). You may not use this file except in compliance with the
 * License. Roughly speaking, non-commercial users may share and modify this code, but must give credit
 * and share improvements. However, for proper details please read the full License, available at
 * http://vizsage.com/license/Vizsage-License-BY-NC-SA.html and the handy reference for understanding
 * the full license at http://vizsage.com/license/Vizsage-Deed-BY-NC-SA.html. Unless required by
 * applicable law or agreed to in writing, any software distributed under the License is distributed
 * on an  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and limitations under the
 * License terms of Creative Commons Attribution-NonCommercial-ShareAlike 3.0 (the License).
 *************************************************************************************************
 *  Module       : Australia Accounts List View handler
 *  Version      : 1.0
 *  Author       : JPL TSolucio, S. L.
 *************************************************************************************************/
class AccountFilterAustraliaHandler extends VTEventHandler {
	private $_moduleCache = array();

	/**
	 * @param $handlerType
	 * @param $entityData VTEntityData
	 */
	public function handleEvent($handlerType, $entityData) {
	}

	public function handleFilter($handlerType, $parameter) {
		global $currentModule;
		if ($currentModule=='Accounts') {
			switch($handlerType) {
				case 'corebos.filter.listview.querygenerator.before':
					// $parameter is the QueryGenerator Object
					global $log;$log->fatal($_COOKIE);
					if (isset($_SESSION['AccountsFilterAustralia'.$_COOKIE['corebos_browsertabID']]) and $_SESSION['AccountsFilterAustralia'.$_COOKIE['corebos_browsertabID']]=='Australia') {
						$parameter->addCondition('bill_country','Australia','e','and');
					} else {
						$parameter->addCondition('bill_country','Australia','n','and');
					}
					break;
			}
		}
		return $parameter;
	}
}
